Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		bash-completion
Version:	1.0
Release:	1
Summary:	Programmable completion for Bash
Group:		Shells
License:	GNU/GPLv2+
URL:		http://bash-completion.alioth.debian.org/
Source0:	http://bash-completion.alioth.debian.org/files/%{name}-%{version}.tar.gz
Patch0:		%{name}-1.0-bash4quoting-490322.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	bash
# For symlinking in triggers
Requires:       coreutils

%description
bash-completion is a collection of shell functions that take advantage
of the programmable completion feature of bash 2.

%define do_triggerin() if [ ! -e %{_sysconfdir}/bash_completion.d/%1 ] ; then ln -s %{_datadir}/%{name}/%1 %{_sysconfdir}/bash_completion.d || : ; fi
%define do_triggerun() [ $2 -gt 0 ] || rm -f %{_sysconfdir}/bash_completion.d/%1 || :

%triggerin -- bittorrent
%do_triggerin bittorrent
%triggerun -- bittorrent
%do_triggerun bittorrent

%triggerin -- bridge-utils
%do_triggerin brctl
%triggerun -- bridge-utils
%do_triggerun brctl

%triggerin -- cksfv
%do_triggerin cksfv
%triggerun -- cksfv
%do_triggerun cksfv

%triggerin -- clisp
%do_triggerin clisp
%triggerun -- clisp
%do_triggerun clisp

%triggerin -- dsniff
%do_triggerin dsniff
%triggerun -- dsniff
%do_triggerun dsniff

%triggerin -- freeciv
%do_triggerin freeciv
%triggerun -- freeciv
%do_triggerun freeciv

%triggerin -- gcc-gnat
%do_triggerin gnatmake
%triggerun -- gcc-gnat
%do_triggerun gnatmake

%triggerin -- gcl
%do_triggerin gcl
%triggerun -- gcl
%do_triggerun gcl

%triggerin -- gkrellm
%do_triggerin gkrellm
%triggerun -- gkrellm
%do_triggerun gkrellm

%triggerin -- gnupg2
%do_triggerin gpg2
%triggerun -- gnupg2
%do_triggerun gpg2

%triggerin -- lilypond
%do_triggerin lilypond
%triggerun -- lilypond
%do_triggerun lilypond

%triggerin -- lzma
%do_triggerin lzma
%triggerun -- lzma
%do_triggerun lzma

%triggerin -- lzop
%do_triggerin lzop
%triggerun -- lzop
%do_triggerun lzop

%triggerin -- mailman
%do_triggerin mailman
%triggerun -- mailman
%do_triggerun mailman

%triggerin -- mcrypt
%do_triggerin mcrypt
%triggerun -- mcrypt
%do_triggerun mcrypt

%triggerin -- minicom
%do_triggerin minicom
%triggerun -- minicom
%do_triggerun minicom

%triggerin -- monodevelop
%do_triggerin monodevelop
%triggerun -- monodevelop
%do_triggerun monodevelop

%triggerin -- mtx
%do_triggerin mtx
%triggerun -- mtx
%do_triggerun mtx

%triggerin -- net-tools
%do_triggerin net-tools
%triggerun -- net-tools
%do_triggerun net-tools

%triggerin -- openssh-clients
%do_triggerin ssh
%triggerun -- openssh-clients
%do_triggerun ssh

%triggerin -- perl-CPANPLUS
%do_triggerin cpan2dist
%triggerun -- perl-CPANPLUS
%do_triggerun cpan2dist

%triggerin -- perl-SVK
%do_triggerin svk
%triggerun -- perl-SVK
%do_triggerun svk

%triggerin -- plague-client
%do_triggerin plague-client
%triggerun -- plague-client
%do_triggerun plague-client

%triggerin -- qemu
%do_triggerin qemu
%triggerun -- qemu
%do_triggerun qemu

%triggerin -- quota
%do_triggerin quota-tools
%triggerun -- quota
%do_triggerun quota-tools

%triggerin -- qt
%do_triggerin qdbus
%triggerun -- qt
%do_triggerun qdbus

%triggerin -- rdesktop
%do_triggerin rdesktop
%triggerun -- rdesktop
%do_triggerun rdesktop

%triggerin -- ruby-ri
%do_triggerin ri
%triggerun -- ruby-ri
%do_triggerun ri

%triggerin -- sbcl
%do_triggerin sbcl
%triggerun -- sbcl
%do_triggerun sbcl

%triggerin -- sitecopy
%do_triggerin sitecopy
%triggerun -- sitecopy
%do_triggerun sitecopy

%triggerin -- snownews
%do_triggerin snownews
%triggerun -- snownews
%do_triggerun snownews

%triggerin -- subversion
%do_triggerin _subversion
%triggerun -- subversion
%do_triggerun _subversion

%triggerin -- unace
%do_triggerin unace
%triggerun -- unace
%do_triggerun unace

%triggerin -- unixODBC
%do_triggerin isql
%triggerun -- unixODBC
%do_triggerun isql

%triggerin -- unrar
%do_triggerin unrar
%triggerun -- unrar
%do_triggerun unrar

%triggerin -- vnc
%do_triggerin vncviewer
%triggerun -- vnc
%do_triggerun vncviewer


%prep
%setup -q
%patch0 -p1
rm contrib/cowsay # cowsay ships an updated one

%build

%install
rm -rf $RPM_BUILD_ROOT %{name}-ghosts.list
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -pm 644 bash_completion $RPM_BUILD_ROOT%{_sysconfdir}
install -pm 644 bash_completion.sh $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -pm 644 contrib/* $RPM_BUILD_ROOT%{_datadir}/%{name}
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
cd contrib
for f in * ; do
  ln -s %{_datadir}/%{name}/$f $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
  echo "%ghost %{_sysconfdir}/bash_completion.d/$f" >> ../%{name}-ghosts.list
done
cd -

%files -f %{name}-ghosts.list
%defattr(-,root,root,-)
%doc AUTHORS CHANGES COPYING README TODO
%config(noreplace) %{_sysconfdir}/profile.d/bash_completion.sh
%{_sysconfdir}/bash_completion
%dir %{_sysconfdir}/bash_completion.d/
%{_datadir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 25 2009 Christian Wasem <wasem@ccux-linux.de> 1.0-1
- Initial CCux Release